Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357174 - [abrt] kde-cli-tools: std::__atomic_base<int>::load(): kcmshell5 killed by SIGSEGV
Summary: [abrt] kde-cli-tools: std::__atomic_base<int>::load(): kcmshell5 killed by SI...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-cli-tools
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b4a6502117e8d60b8b0635c9dc2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-16 04:46 UTC by Samuel Lee
Modified: 2017-08-08 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:38:26 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: cgroup (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: core_backtrace (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: dso_list (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: environ (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: limits (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: maps (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: mountinfo (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: namespaces (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: open_fds (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: proc_pid_status (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: var_log_messages (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details
File: exploitable (deleted)
2016-07-16 04:46 UTC, Samuel Lee
no flags Details

Description Samuel Lee 2016-07-16 04:46:16 UTC
Version-Release number of selected component:
kde-cli-tools-5.6.4-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/kcmshell5 --icon preferences-system-windows kwindecoration kwinactions kwinfocus kwinmoving kwinadvanced kwinrules kwincompositing kwineffects kwintabbox kwinscreenedges kwinscripts
crash_function: std::__atomic_base<int>::load
executable:     /usr/bin/kcmshell5
global_pid:     2362
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 std::__atomic_base<int>::load at /usr/include/c++/6.1.1/bits/atomic_base.h:396
 #1 QAtomicOps<int>::load<int> at /usr/include/qt5/QtCore/qatomic_cxx11.h:96
 #2 QBasicAtomicInteger<int>::load at /usr/include/qt5/QtCore/qbasicatomic.h:116
 #3 QtPrivate::RefCount::deref at /usr/include/qt5/QtCore/qrefcount.h:60
 #4 QString::~QString at /usr/include/qt5/QtCore/qstring.h:1065
 #5 QHashNode<QString, QHashDummyValue>::~QHashNode at /usr/include/qt5/QtCore/qhash.h:158
 #6 QHash<QString, QHashDummyValue>::deleteNode2 at /usr/include/qt5/QtCore/qhash.h:519
 #7 QHashData::free_helper at tools/qhash.cpp:538
 #8 QHash<QString, QHashDummyValue>::freeData at /usr/include/qt5/QtCore/qhash.h:555
 #9 QHash<QString, QHashDummyValue>::~QHash at /usr/include/qt5/QtCore/qhash.h:246

Comment 1 Samuel Lee 2016-07-16 04:46:20 UTC
Created attachment 1180348 [details]
File: backtrace

Comment 2 Samuel Lee 2016-07-16 04:46:21 UTC
Created attachment 1180349 [details]
File: cgroup

Comment 3 Samuel Lee 2016-07-16 04:46:22 UTC
Created attachment 1180350 [details]
File: core_backtrace

Comment 4 Samuel Lee 2016-07-16 04:46:24 UTC
Created attachment 1180351 [details]
File: dso_list

Comment 5 Samuel Lee 2016-07-16 04:46:26 UTC
Created attachment 1180352 [details]
File: environ

Comment 6 Samuel Lee 2016-07-16 04:46:27 UTC
Created attachment 1180353 [details]
File: limits

Comment 7 Samuel Lee 2016-07-16 04:46:29 UTC
Created attachment 1180354 [details]
File: maps

Comment 8 Samuel Lee 2016-07-16 04:46:30 UTC
Created attachment 1180355 [details]
File: mountinfo

Comment 9 Samuel Lee 2016-07-16 04:46:31 UTC
Created attachment 1180356 [details]
File: namespaces

Comment 10 Samuel Lee 2016-07-16 04:46:33 UTC
Created attachment 1180357 [details]
File: open_fds

Comment 11 Samuel Lee 2016-07-16 04:46:34 UTC
Created attachment 1180358 [details]
File: proc_pid_status

Comment 12 Samuel Lee 2016-07-16 04:46:35 UTC
Created attachment 1180359 [details]
File: var_log_messages

Comment 13 Samuel Lee 2016-07-16 04:46:37 UTC
Created attachment 1180360 [details]
File: exploitable

Comment 14 Fedora End Of Life 2017-07-25 21:50:04 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 15:38:26 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.